%define module  PDF-API2
%define name    perl-%{module}
%define version 0.55
%define release %mkrel 1

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:        PDF-API2 Perl module
License:        Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/%{module}
Source:         http://www.cpan.org/modules/by-module/PDF/%{module}-%{version}.tar.bz2
%if %{mdkversion} < 1010
BuildRequires:  perl-devel
%endif
BuildRequires:  perl(Compress::Zlib)
Buildarch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}

%description
This module is 'The Next Generation' of Text::PDF::API which initially 
provided a nice API around the Text::PDF::* modules created by Martin Hosken.

%prep
%setup -q  -n %{module}-%{version}
find contrib -type f | xargs perl -pi -e 's|^#!/usr/local/bin/perl|#!/usr/bin/perl|' 
perl -pi -e 'tr/\r//d' CHANGELOG LICENSE contrib/pdf-deoptimize.pl

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor MAN1PODS='' MAN3PODS=''
%make

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std
rm -f %{buildroot}/%{perl_vendorlib}/PDF/API2/TTF/Win32.pm

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS CHANGELOG CONTACT COPYING INSTALL LICENSE README TODO VERSION contrib examples
%{perl_vendorlib}/PDF
%{_mandir}/*/*

%changelog
* Mon Aug 28 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.55-1mdv2007.0
- New version 0.55

* Wed Jun 21 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.53-1mdv2007.0
- New version 0.53

* Fri Jun 16 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.52-1mdv2007.0
- New version 0.52

* Mon Dec 19 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.51-1mdk
- New release 0.51
- drop patch, a command-line switch is easier to maintain

* Tue Oct 04 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.46.003-1mdk
- New release 0.46.003

* Fri Sep 30 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.46.002-2mdk
 - buildrequires fix

* Fri Sep 30 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.46.002-1mdk
- New release 0.46.002

* Wed Sep 28 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.46.001-1mdk
- New release 0.46.001

* Fri Sep 23 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.46-1mdk
- new version
- rpmbuildupdate aware
- spec cleanup
- fix directory ownership
- enable tests
- better url
- fix doc files list
- force man page generation
- fix some perms and encoding

* Mon Mar 01 2004 Michael Scherer <misc@mandrake.org> 0.3r77-2mdk 
- remove useless Requires on win32

* Tue Feb 17 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.3r77-1mdk
- 0.3r77

* Thu Sep 05 2002 Daniel Lacroix <dlacroix@erasme.org>
- generated by cpan2rpm version 0.1 for Mandrake 9.0
